<html>
<head>
<title>Ogre::RaySceneQuery Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RaySceneQuery.html">RaySceneQuery</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::RaySceneQuery Class Reference<div class="ingroups"><a class="el" href="group__Scene.html">Scene</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::RaySceneQuery" --><!-- doxytag: inherits="Ogre::SceneQuery,Ogre::RaySceneQueryListener" -->
<p>Specialises the <a class="el" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a> class for querying along a ray.  
 <a href="classOgre_1_1RaySceneQuery.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::RaySceneQuery:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1RaySceneQuery__inherit__graph.gif" border="0" usemap="#Ogre_1_1RaySceneQuery_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1RaySceneQuery_inherit__map" id="Ogre_1_1RaySceneQuery_inherit__map">
<area shape="rect" id="node9" href="classOgre_1_1DefaultRaySceneQuery.html" title="Default implementation of RaySceneQuery." alt="" coords="68,237,263,267"/><area shape="rect" id="node2" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene." alt="" coords="5,83,136,112"/><area shape="rect" id="node4" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="16,5,125,35"/><area shape="rect" id="node6" href="classOgre_1_1RaySceneQueryListener.html" title="Alternative listener class for dealing with RaySceneQuery." alt="" coords="160,83,360,112"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1RaySceneQuery-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#a0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a> { <br/>
&#160;&#160;<a class="el" href="classOgre_1_1SceneQuery.html#a0a75b5ed976da2f9023382f4c4514b3aa6ed287fab168d451beb369009f0fd03b">WFT_NONE</a>, 
<a class="el" href="classOgre_1_1SceneQuery.html#a0a75b5ed976da2f9023382f4c4514b3aa667bbec7031e58ab244f9efc32056f38">WFT_PLANE_BOUNDED_REGION</a>, 
<a class="el" href="classOgre_1_1SceneQuery.html#a0a75b5ed976da2f9023382f4c4514b3aa018493b6c87271e0c8ba014f058cffd3">WFT_SINGLE_INTERSECTION</a>, 
<a class="el" href="classOgre_1_1SceneQuery.html#a0a75b5ed976da2f9023382f4c4514b3aadeefa0cc2dfd1ec783c2a266ea61f925">WFT_CUSTOM_GEOMETRY</a>, 
<br/>
&#160;&#160;<a class="el" href="classOgre_1_1SceneQuery.html#a0a75b5ed976da2f9023382f4c4514b3aad498944c8c6b81d737c3ceee86881e8d">WFT_RENDER_OPERATION</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This type can be used by collaborating applications &amp; SceneManagers to agree on the type of world geometry to be returned from queries.  <a href="classOgre_1_1SceneQuery.html#a0a75b5ed976da2f9023382f4c4514b3a">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#a12314a210a23fe1d729dfabb7fb6a713">RaySceneQuery</a> (<a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *mgr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#ad7ff2d01587542d02d4132b05ad98895">~RaySceneQuery</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#a5a96085659aec2c0df9c271f4372a74a">setRay</a> (const <a class="el" href="classOgre_1_1Ray.html">Ray</a> &amp;ray)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the ray which is to be used for this query.  <a href="#a5a96085659aec2c0df9c271f4372a74a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="classOgre_1_1Ray.html">Ray</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#aa52c6519f3f41db3c3c710744cf5c29c">getRay</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the ray which is to be used for this query.  <a href="#aa52c6519f3f41db3c3c710744cf5c29c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#a32f960cc88fd644922bfc4c58643f993">setSortByDistance</a> (bool sort, <a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> maxresults=0)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets whether the results of this query will be sorted by distance along the ray.  <a href="#a32f960cc88fd644922bfc4c58643f993"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#ad6b5a607a86b67189390c1a9c772b1e8">getSortByDistance</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets whether the results are sorted by distance.  <a href="#ad6b5a607a86b67189390c1a9c772b1e8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#af7580c31b2de8c2dd17ecf03e448b8ba">getMaxResults</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the maximum number of results returned from the query (only relevant if results are being sorted)  <a href="#af7580c31b2de8c2dd17ecf03e448b8ba"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__Scene.html#ga1d0db569747448aeff27f36ecd717686">RaySceneQueryResult</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#ad5087789b2926c64033a6bc61f78476c">execute</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Executes the query, returning the results back in one list.  <a href="#ad5087789b2926c64033a6bc61f78476c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#ae970c405851a2725dc7341dcddc4534e">execute</a> (<a class="el" href="classOgre_1_1RaySceneQueryListener.html">RaySceneQueryListener</a> *listener)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Executes the query and returns each match through a listener interface.  <a href="#ae970c405851a2725dc7341dcddc4534e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__Scene.html#ga1d0db569747448aeff27f36ecd717686">RaySceneQueryResult</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#aef129845061d1bdfb9cb92a75c531a63">getLastResults</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the results of the last query that was run using this object, provided the query was executed using the collection-returning version of execute.  <a href="#aef129845061d1bdfb9cb92a75c531a63"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#ae93bb5dafd039eb08c44cd42215c34c4">clearResults</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Clears the results of the last query execution.  <a href="#ae93bb5dafd039eb08c44cd42215c34c4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#a88c9810df53d94b893bc5aef885d14a1">queryResult</a> (<a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *obj, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> distance)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Self-callback in order to deal with execute which returns collection.  <a href="#a88c9810df53d94b893bc5aef885d14a1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#abd5211784dd04e0e0705fe21d43cb900">queryResult</a> (<a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html">SceneQuery::WorldFragment</a> *fragment, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> distance)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Self-callback in order to deal with execute which returns collection.  <a href="#abd5211784dd04e0e0705fe21d43cb900"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#ad392a7fc0b338e5507540d3183f82cfb">setQueryMask</a> (<a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> mask)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the mask for results of this query.  <a href="#ad392a7fc0b338e5507540d3183f82cfb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#aa6fb367ec862186fba933d13295b366f">getQueryMask</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the current mask for this query.  <a href="#aa6fb367ec862186fba933d13295b366f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#abaca8d4d9b59a571e2d8e9a2cac7ce42">setQueryTypeMask</a> (<a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> mask)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the type mask for results of this query.  <a href="#abaca8d4d9b59a571e2d8e9a2cac7ce42"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#a13b381e390f4a38ae3c73cb4e42ef634">getQueryTypeMask</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the current mask for this query.  <a href="#a13b381e390f4a38ae3c73cb4e42ef634"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#aec3aa0b8b16c41fae990ee78150f8d2a">setWorldFragmentType</a> (enum <a class="el" href="classOgre_1_1SceneQuery.html#a0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a> wft)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Tells the query what kind of world geometry to return from queries; often the full renderable geometry is not what is needed.  <a href="#aec3aa0b8b16c41fae990ee78150f8d2a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1SceneQuery.html#a0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#afa48a4dec3b1603e3c579526582a69cb">getWorldFragmentType</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the current world fragment types to be returned from the query.  <a href="#afa48a4dec3b1603e3c579526582a69cb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="structOgre_1_1set.html">set</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1SceneQuery.html#a0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a> &gt;::type *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#ab900f61543657dcbab7d62245021a75f">getSupportedWorldFragmentTypes</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the types of world fragments this query supports.  <a href="#ab900f61543657dcbab7d62245021a75f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Ray.html">Ray</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#a549a2d58803cafe0f5c0e36e750e58e6">mRay</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#a90940fd45a737eb1c23d19045a875999">mSortByDistance</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#a37493a877c05ae2cd72c343c037418f9">mMaxResults</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Scene.html#ga1d0db569747448aeff27f36ecd717686">RaySceneQueryResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html#a6703cadb44854b231a12d4e399d64aab">mResult</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#a36c06292c148746a8950b5c3c60b63a7">mParentSceneMgr</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#a1ab71f92378d94fc42b48c7bf8d9b5a0">mQueryMask</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#ab6bea8046f722f02c27b0c0de794f13d">mQueryTypeMask</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1set.html">set</a>&lt; <a class="el" href="classOgre_1_1SceneQuery.html#a0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#aa1ad40080bc4490f795ff8fb8a4edf4a">mSupportedWorldFragments</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SceneQuery.html#a0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html#a9cef909c3f78d2e9f3ef44ca8c2cfdaa">mWorldFragmentType</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Specialises the <a class="el" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a> class for querying along a ray. </p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h_source.html#l00375">375</a> of file <a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>.</p>
</div><hr/><h2>Member Enumeration Documentation</h2>
<a class="anchor" id="a0a75b5ed976da2f9023382f4c4514b3a"></a><!-- doxytag: member="Ogre::RaySceneQuery::WorldFragmentType" ref="a0a75b5ed976da2f9023382f4c4514b3a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1SceneQuery.html#a0a75b5ed976da2f9023382f4c4514b3a">Ogre::SceneQuery::WorldFragmentType</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This type can be used by collaborating applications &amp; SceneManagers to agree on the type of world geometry to be returned from queries. </p>
<p>Not all these types will be supported by all SceneManagers; once the application has decided which <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> specialisation to use, it is expected that it will know which type of world geometry abstraction is available to it. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="a0a75b5ed976da2f9023382f4c4514b3aa6ed287fab168d451beb369009f0fd03b"></a><!-- doxytag: member="WFT_NONE" ref="a0a75b5ed976da2f9023382f4c4514b3aa6ed287fab168d451beb369009f0fd03b" args="" -->WFT_NONE</em>&nbsp;</td><td>
<p>Return no world geometry hits at all. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a0a75b5ed976da2f9023382f4c4514b3aa667bbec7031e58ab244f9efc32056f38"></a><!-- doxytag: member="WFT_PLANE_BOUNDED_REGION" ref="a0a75b5ed976da2f9023382f4c4514b3aa667bbec7031e58ab244f9efc32056f38" args="" -->WFT_PLANE_BOUNDED_REGION</em>&nbsp;</td><td>
<p>Return pointers to convex plane-bounded regions. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a0a75b5ed976da2f9023382f4c4514b3aa018493b6c87271e0c8ba014f058cffd3"></a><!-- doxytag: member="WFT_SINGLE_INTERSECTION" ref="a0a75b5ed976da2f9023382f4c4514b3aa018493b6c87271e0c8ba014f058cffd3" args="" -->WFT_SINGLE_INTERSECTION</em>&nbsp;</td><td>
<p>Return a single intersection point (typically <a class="el" href="classOgre_1_1RaySceneQuery.html" title="Specialises the SceneQuery class for querying along a ray.">RaySceneQuery</a> only) </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a0a75b5ed976da2f9023382f4c4514b3aadeefa0cc2dfd1ec783c2a266ea61f925"></a><!-- doxytag: member="WFT_CUSTOM_GEOMETRY" ref="a0a75b5ed976da2f9023382f4c4514b3aadeefa0cc2dfd1ec783c2a266ea61f925" args="" -->WFT_CUSTOM_GEOMETRY</em>&nbsp;</td><td>
<p>Custom geometry as defined by the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a0a75b5ed976da2f9023382f4c4514b3aad498944c8c6b81d737c3ceee86881e8d"></a><!-- doxytag: member="WFT_RENDER_OPERATION" ref="a0a75b5ed976da2f9023382f4c4514b3aad498944c8c6b81d737c3ceee86881e8d" args="" -->WFT_RENDER_OPERATION</em>&nbsp;</td><td>
<p>General <a class="el" href="classOgre_1_1RenderOperation.html" title="&#39;New&#39; rendering operation using vertex buffers.">RenderOperation</a> structure. </p>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h_source.html#l00082">82</a> of file <a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a12314a210a23fe1d729dfabb7fb6a713"></a><!-- doxytag: member="Ogre::RaySceneQuery::RaySceneQuery" ref="a12314a210a23fe1d729dfabb7fb6a713" args="(SceneManager *mgr)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RaySceneQuery.html#a12314a210a23fe1d729dfabb7fb6a713">Ogre::RaySceneQuery::RaySceneQuery</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&#160;</td>
          <td class="paramname"><em>mgr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ad7ff2d01587542d02d4132b05ad98895"></a><!-- doxytag: member="Ogre::RaySceneQuery::~RaySceneQuery" ref="ad7ff2d01587542d02d4132b05ad98895" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1RaySceneQuery.html#ad7ff2d01587542d02d4132b05ad98895">Ogre::RaySceneQuery::~RaySceneQuery</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ae93bb5dafd039eb08c44cd42215c34c4"></a><!-- doxytag: member="Ogre::RaySceneQuery::clearResults" ref="ae93bb5dafd039eb08c44cd42215c34c4" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1RaySceneQuery.html#ae93bb5dafd039eb08c44cd42215c34c4">Ogre::RaySceneQuery::clearResults</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Clears the results of the last query execution. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>You only need to call this if you specifically want to free up the memory used by this object to hold the last query results. This object clears the results itself when executing and when destroying itself. </dd></dl>

</div>
</div>
<a class="anchor" id="ad5087789b2926c64033a6bc61f78476c"></a><!-- doxytag: member="Ogre::RaySceneQuery::execute" ref="ad5087789b2926c64033a6bc61f78476c" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="group__Scene.html#ga1d0db569747448aeff27f36ecd717686">RaySceneQueryResult</a>&amp; <a class="el" href="classOgre_1_1RaySceneQuery.html#ad5087789b2926c64033a6bc61f78476c">Ogre::RaySceneQuery::execute</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Executes the query, returning the results back in one list. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method executes the scene query as configured, gathers the results into one structure and returns a reference to that structure. These results will also persist in this query object until the next query is executed, or <a class="el" href="classOgre_1_1RaySceneQuery.html#ae93bb5dafd039eb08c44cd42215c34c4" title="Clears the results of the last query execution.">clearResults()</a> is called. An more lightweight version of this method that returns results through a listener is also available. </dd></dl>

</div>
</div>
<a class="anchor" id="ae970c405851a2725dc7341dcddc4534e"></a><!-- doxytag: member="Ogre::RaySceneQuery::execute" ref="ae970c405851a2725dc7341dcddc4534e" args="(RaySceneQueryListener *listener)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1RaySceneQuery.html#ad5087789b2926c64033a6bc61f78476c">Ogre::RaySceneQuery::execute</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RaySceneQueryListener.html">RaySceneQueryListener</a> *&#160;</td>
          <td class="paramname"><em>listener</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Executes the query and returns each match through a listener interface. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Note that this method does not store the results of the query internally so does not update the 'last result' value. This means that this version of execute is more lightweight and therefore more efficient than the version which returns the results as a collection. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1DefaultRaySceneQuery.html#af653e97b901d83ccc38446fedf5f9885">Ogre::DefaultRaySceneQuery</a>.</p>

</div>
</div>
<a class="anchor" id="aef129845061d1bdfb9cb92a75c531a63"></a><!-- doxytag: member="Ogre::RaySceneQuery::getLastResults" ref="aef129845061d1bdfb9cb92a75c531a63" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="group__Scene.html#ga1d0db569747448aeff27f36ecd717686">RaySceneQueryResult</a>&amp; <a class="el" href="classOgre_1_1RaySceneQuery.html#aef129845061d1bdfb9cb92a75c531a63">Ogre::RaySceneQuery::getLastResults</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the results of the last query that was run using this object, provided the query was executed using the collection-returning version of execute. </p>

</div>
</div>
<a class="anchor" id="af7580c31b2de8c2dd17ecf03e448b8ba"></a><!-- doxytag: member="Ogre::RaySceneQuery::getMaxResults" ref="af7580c31b2de8c2dd17ecf03e448b8ba" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="classOgre_1_1RaySceneQuery.html#af7580c31b2de8c2dd17ecf03e448b8ba">Ogre::RaySceneQuery::getMaxResults</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the maximum number of results returned from the query (only relevant if results are being sorted) </p>

</div>
</div>
<a class="anchor" id="aa6fb367ec862186fba933d13295b366f"></a><!-- doxytag: member="Ogre::RaySceneQuery::getQueryMask" ref="aa6fb367ec862186fba933d13295b366f" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1SceneQuery.html#aa6fb367ec862186fba933d13295b366f">Ogre::SceneQuery::getQueryMask</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the current mask for this query. </p>

</div>
</div>
<a class="anchor" id="a13b381e390f4a38ae3c73cb4e42ef634"></a><!-- doxytag: member="Ogre::RaySceneQuery::getQueryTypeMask" ref="a13b381e390f4a38ae3c73cb4e42ef634" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1SceneQuery.html#a13b381e390f4a38ae3c73cb4e42ef634">Ogre::SceneQuery::getQueryTypeMask</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the current mask for this query. </p>

</div>
</div>
<a class="anchor" id="aa52c6519f3f41db3c3c710744cf5c29c"></a><!-- doxytag: member="Ogre::RaySceneQuery::getRay" ref="aa52c6519f3f41db3c3c710744cf5c29c" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="classOgre_1_1Ray.html">Ray</a>&amp; <a class="el" href="classOgre_1_1RaySceneQuery.html#aa52c6519f3f41db3c3c710744cf5c29c">Ogre::RaySceneQuery::getRay</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the ray which is to be used for this query. </p>

</div>
</div>
<a class="anchor" id="ad6b5a607a86b67189390c1a9c772b1e8"></a><!-- doxytag: member="Ogre::RaySceneQuery::getSortByDistance" ref="ad6b5a607a86b67189390c1a9c772b1e8" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1RaySceneQuery.html#ad6b5a607a86b67189390c1a9c772b1e8">Ogre::RaySceneQuery::getSortByDistance</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets whether the results are sorted by distance. </p>

</div>
</div>
<a class="anchor" id="ab900f61543657dcbab7d62245021a75f"></a><!-- doxytag: member="Ogre::RaySceneQuery::getSupportedWorldFragmentTypes" ref="ab900f61543657dcbab7d62245021a75f" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="structOgre_1_1set.html">set</a>&lt;<a class="el" href="classOgre_1_1SceneQuery.html#a0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a>&gt;::type* <a class="el" href="classOgre_1_1SceneQuery.html#ab900f61543657dcbab7d62245021a75f">Ogre::SceneQuery::getSupportedWorldFragmentTypes</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the types of world fragments this query supports. </p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h_source.html#l00174">174</a> of file <a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa48a4dec3b1603e3c579526582a69cb"></a><!-- doxytag: member="Ogre::RaySceneQuery::getWorldFragmentType" ref="afa48a4dec3b1603e3c579526582a69cb" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1SceneQuery.html#a0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a> <a class="el" href="classOgre_1_1SceneQuery.html#afa48a4dec3b1603e3c579526582a69cb">Ogre::SceneQuery::getWorldFragmentType</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the current world fragment types to be returned from the query. </p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::RaySceneQuery::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::RaySceneQuery::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::RaySceneQuery::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::RaySceneQuery::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::RaySceneQuery::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::RaySceneQuery::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::RaySceneQuery::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::RaySceneQuery::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::RaySceneQuery::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::RaySceneQuery::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a88c9810df53d94b893bc5aef885d14a1"></a><!-- doxytag: member="Ogre::RaySceneQuery::queryResult" ref="a88c9810df53d94b893bc5aef885d14a1" args="(MovableObject *obj, Real distance)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RaySceneQuery.html#a88c9810df53d94b893bc5aef885d14a1">Ogre::RaySceneQuery::queryResult</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>distance</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Self-callback in order to deal with execute which returns collection. </p>

<p>Implements <a class="el" href="classOgre_1_1RaySceneQueryListener.html#ac3c09aba6b71ca28d721be30ed8f06ed">Ogre::RaySceneQueryListener</a>.</p>

</div>
</div>
<a class="anchor" id="abd5211784dd04e0e0705fe21d43cb900"></a><!-- doxytag: member="Ogre::RaySceneQuery::queryResult" ref="abd5211784dd04e0e0705fe21d43cb900" args="(SceneQuery::WorldFragment *fragment, Real distance)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RaySceneQuery.html#a88c9810df53d94b893bc5aef885d14a1">Ogre::RaySceneQuery::queryResult</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html">SceneQuery::WorldFragment</a> *&#160;</td>
          <td class="paramname"><em>fragment</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>distance</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Self-callback in order to deal with execute which returns collection. </p>

<p>Implements <a class="el" href="classOgre_1_1RaySceneQueryListener.html#a7c390bfdec4a3e7eaf0491d8cc7b6d3c">Ogre::RaySceneQueryListener</a>.</p>

</div>
</div>
<a class="anchor" id="ad392a7fc0b338e5507540d3183f82cfb"></a><!-- doxytag: member="Ogre::RaySceneQuery::setQueryMask" ref="ad392a7fc0b338e5507540d3183f82cfb" args="(uint32 mask)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1SceneQuery.html#ad392a7fc0b338e5507540d3183f82cfb">Ogre::SceneQuery::setQueryMask</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&#160;</td>
          <td class="paramname"><em>mask</em></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the mask for results of this query. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method allows you to set a 'mask' to limit the results of this query to certain types of result. The actual meaning of this value is up to the application; basically <a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class defining a movable object in a scene.">MovableObject</a> instances will only be returned from this query if a bitwise AND operation between this mask value and the <a class="el" href="classOgre_1_1MovableObject.html#a5c40b9b7d9f3231f9ba16a3514f7495a" title="Returns the query flags relevant for this object.">MovableObject::getQueryFlags</a> value is non-zero. The application will have to decide what each of the bits means. </dd></dl>

</div>
</div>
<a class="anchor" id="abaca8d4d9b59a571e2d8e9a2cac7ce42"></a><!-- doxytag: member="Ogre::RaySceneQuery::setQueryTypeMask" ref="abaca8d4d9b59a571e2d8e9a2cac7ce42" args="(uint32 mask)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1SceneQuery.html#abaca8d4d9b59a571e2d8e9a2cac7ce42">Ogre::SceneQuery::setQueryTypeMask</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&#160;</td>
          <td class="paramname"><em>mask</em></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the type mask for results of this query. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method allows you to set a 'type mask' to limit the results of this query to certain types of objects. Whilst setQueryMask deals with flags set per instance of object, this method deals with setting a mask on flags set per type of object. Both may exclude an object from query results. </dd></dl>

</div>
</div>
<a class="anchor" id="a5a96085659aec2c0df9c271f4372a74a"></a><!-- doxytag: member="Ogre::RaySceneQuery::setRay" ref="a5a96085659aec2c0df9c271f4372a74a" args="(const Ray &amp;ray)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1RaySceneQuery.html#a5a96085659aec2c0df9c271f4372a74a">Ogre::RaySceneQuery::setRay</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Ray.html">Ray</a> &amp;&#160;</td>
          <td class="paramname"><em>ray</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the ray which is to be used for this query. </p>

</div>
</div>
<a class="anchor" id="a32f960cc88fd644922bfc4c58643f993"></a><!-- doxytag: member="Ogre::RaySceneQuery::setSortByDistance" ref="a32f960cc88fd644922bfc4c58643f993" args="(bool sort, ushort maxresults=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1RaySceneQuery.html#a32f960cc88fd644922bfc4c58643f993">Ogre::RaySceneQuery::setSortByDistance</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>sort</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&#160;</td>
          <td class="paramname"><em>maxresults</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets whether the results of this query will be sorted by distance along the ray. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Often you want to know what was the first object a ray intersected with, and this method allows you to ask the query to sort the results so that the nearest results are listed first. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>Note that because the query returns results based on bounding volumes, the ray may not actually intersect the detail of the objects returned from the query, just their bounding volumes. For this reason the caller is advised to use more detailed intersection tests on the results if a more accurate result is required; OGRE uses bounds checking in order to give the most speedy results since not all applications need extreme accuracy. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">sort</td><td>If true, results will be sorted. </td></tr>
    <tr><td class="paramname">maxresults</td><td>If sorting is enabled, this value can be used to constrain the maximum number of results that are returned. Please note (as above) that the use of bounding volumes mean that accuracy is not guaranteed; if in doubt, allow more results and filter them in more detail. 0 means unlimited results. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aec3aa0b8b16c41fae990ee78150f8d2a"></a><!-- doxytag: member="Ogre::RaySceneQuery::setWorldFragmentType" ref="aec3aa0b8b16c41fae990ee78150f8d2a" args="(enum WorldFragmentType wft)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1SceneQuery.html#aec3aa0b8b16c41fae990ee78150f8d2a">Ogre::SceneQuery::setWorldFragmentType</a> </td>
          <td>(</td>
          <td class="paramtype">enum <a class="el" href="classOgre_1_1SceneQuery.html#a0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a>&#160;</td>
          <td class="paramname"><em>wft</em></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Tells the query what kind of world geometry to return from queries; often the full renderable geometry is not what is needed. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The application receiving the world geometry is expected to know what to do with it; inevitably this means that the application must have knowledge of at least some of the structures used by the custom <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>The default setting is WFT_NONE. </dd></dl>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a37493a877c05ae2cd72c343c037418f9"></a><!-- doxytag: member="Ogre::RaySceneQuery::mMaxResults" ref="a37493a877c05ae2cd72c343c037418f9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="classOgre_1_1RaySceneQuery.html#a37493a877c05ae2cd72c343c037418f9">Ogre::RaySceneQuery::mMaxResults</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSceneQuery_8h_source.html#l00380">380</a> of file <a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>.</p>

</div>
</div>
<a class="anchor" id="a36c06292c148746a8950b5c3c60b63a7"></a><!-- doxytag: member="Ogre::RaySceneQuery::mParentSceneMgr" ref="a36c06292c148746a8950b5c3c60b63a7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a>* <a class="el" href="classOgre_1_1SceneQuery.html#a36c06292c148746a8950b5c3c60b63a7">Ogre::SceneQuery::mParentSceneMgr</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSceneQuery_8h_source.html#l00122">122</a> of file <a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1ab71f92378d94fc42b48c7bf8d9b5a0"></a><!-- doxytag: member="Ogre::RaySceneQuery::mQueryMask" ref="a1ab71f92378d94fc42b48c7bf8d9b5a0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1SceneQuery.html#a1ab71f92378d94fc42b48c7bf8d9b5a0">Ogre::SceneQuery::mQueryMask</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSceneQuery_8h_source.html#l00123">123</a> of file <a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab6bea8046f722f02c27b0c0de794f13d"></a><!-- doxytag: member="Ogre::RaySceneQuery::mQueryTypeMask" ref="ab6bea8046f722f02c27b0c0de794f13d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1SceneQuery.html#ab6bea8046f722f02c27b0c0de794f13d">Ogre::SceneQuery::mQueryTypeMask</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSceneQuery_8h_source.html#l00124">124</a> of file <a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>.</p>

</div>
</div>
<a class="anchor" id="a549a2d58803cafe0f5c0e36e750e58e6"></a><!-- doxytag: member="Ogre::RaySceneQuery::mRay" ref="a549a2d58803cafe0f5c0e36e750e58e6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Ray.html">Ray</a> <a class="el" href="classOgre_1_1RaySceneQuery.html#a549a2d58803cafe0f5c0e36e750e58e6">Ogre::RaySceneQuery::mRay</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSceneQuery_8h_source.html#l00378">378</a> of file <a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6703cadb44854b231a12d4e399d64aab"></a><!-- doxytag: member="Ogre::RaySceneQuery::mResult" ref="a6703cadb44854b231a12d4e399d64aab" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Scene.html#ga1d0db569747448aeff27f36ecd717686">RaySceneQueryResult</a> <a class="el" href="classOgre_1_1RaySceneQuery.html#a6703cadb44854b231a12d4e399d64aab">Ogre::RaySceneQuery::mResult</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSceneQuery_8h_source.html#l00381">381</a> of file <a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>.</p>

</div>
</div>
<a class="anchor" id="a90940fd45a737eb1c23d19045a875999"></a><!-- doxytag: member="Ogre::RaySceneQuery::mSortByDistance" ref="a90940fd45a737eb1c23d19045a875999" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RaySceneQuery.html#a90940fd45a737eb1c23d19045a875999">Ogre::RaySceneQuery::mSortByDistance</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSceneQuery_8h_source.html#l00379">379</a> of file <a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa1ad40080bc4490f795ff8fb8a4edf4a"></a><!-- doxytag: member="Ogre::RaySceneQuery::mSupportedWorldFragments" ref="aa1ad40080bc4490f795ff8fb8a4edf4a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1set.html">set</a>&lt;<a class="el" href="classOgre_1_1SceneQuery.html#a0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a>&gt;::type <a class="el" href="classOgre_1_1SceneQuery.html#aa1ad40080bc4490f795ff8fb8a4edf4a">Ogre::SceneQuery::mSupportedWorldFragments</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSceneQuery_8h_source.html#l00125">125</a> of file <a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9cef909c3f78d2e9f3ef44ca8c2cfdaa"></a><!-- doxytag: member="Ogre::RaySceneQuery::mWorldFragmentType" ref="a9cef909c3f78d2e9f3ef44ca8c2cfdaa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneQuery.html#a0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a> <a class="el" href="classOgre_1_1SceneQuery.html#a9cef909c3f78d2e9f3ef44ca8c2cfdaa">Ogre::SceneQuery::mWorldFragmentType</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSceneQuery_8h_source.html#l00126">126</a> of file <a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:06
</p>
</body>
</html>
